package com.joa.backend.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;
import java.util.Objects;

/**
 * Entity基类
 */

@Data
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 搜索值 **/
    @JsonIgnore
    private String searchValue;

    /** 创建者 **/
    private String createBy;

    /** 创建时间 **/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    /** 更新者 **/
    private String updateBy;

    /** 更新时间 **/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;

    /** 备注 **/
    private String remark;

    /** 请求参数 **/
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Objects> params;
}
