package com.joa.backend.service.impl;

import com.joa.backend.constant.UserConstants;
import com.joa.backend.entity.SysUser;
import com.joa.backend.mapper.SysUserMapper;
import com.joa.backend.service.ISysUserService;
import com.joa.backend.utils.StringUtils;
import io.netty.util.internal.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
@Service
public class SysUserServiceImpl implements ISysUserService {
    @Autowired
    private SysUserMapper sysUserMapper;
    @Override
    public List<SysUser> selectSysUserAll(SysUser sysUser) {
        return sysUserMapper.selectSysUserAll(sysUser);
    }

    @Override
    public int insertSysUser(SysUser sysUser) {
        int rows = sysUserMapper.insertUser(sysUser);
        return rows;
    }

    @Override
    public boolean checkUserNameUnique(SysUser sysUser) {
        Long userId = StringUtils.isNull(sysUser.getUserId()) ? -1L : sysUser.getUserId();
        SysUser info = sysUserMapper.checkUserNameUnique(sysUser.getUserName());
        if (StringUtils.isNotNull(info) && info.getUserId().longValue() != userId.longValue()){
            return UserConstants.NOT_UNIQUE;
        }
        return UserConstants.UNIQUE;
    }

    @Override
    public boolean checkPhoneUnique(SysUser sysUser) {
        Long userId = StringUtils.isNull(sysUser.getUserId()) ? -1L : sysUser.getUserId();
        SysUser info = sysUserMapper.checkPhoneUnique(sysUser.getPhone());
        if (StringUtils.isNotNull(info) && info.getUserId().longValue() != userId.longValue()){
            return UserConstants.NOT_UNIQUE;
        }
        return UserConstants.UNIQUE;
    }

    @Override
    public boolean checkEmailUnique(SysUser sysUser) {
        Long userId = StringUtils.isNull(sysUser.getUserId()) ? -1L : sysUser.getUserId();
        SysUser info = sysUserMapper.checkEmailUnique(sysUser.getEmail());
        if (StringUtils.isNotNull(info) && info.getUserId().longValue() != userId.longValue()){
            return UserConstants.NOT_UNIQUE;
        }
        return UserConstants.UNIQUE;
    }


}
