# 如果joa数据库存在则删除重新创建
# drop database if exists joa;
# create database joa character set utf8mb4 collate utf8mb4_bin;
# use joa; 
#删除并重新创建表sys_user
drop table if exists `sys_user`;
create table `sys_user`(
`user_id` bigint(20) not null auto_increment comment'用户ID',
`dept_id` bigint(20) default null comment'部门id',
`user_name` varchar(30) not null comment'用户账号',
`nick_name` varchar(30) not null comment'用户昵称',
`user_type` int default'0' comment'用户类型',  
`email` varchar(50) default'' comment'用户邮箱',
`phone` varchar(11) default'' comment'用户电话',
`sex` char(1) default'2' comment'用户性别（0男，1女，2未知）',
`avatar` varchar(100) default'' comment'头像地址',
`password` varchar(100) default'' comment'密码',
`status` char(1) default'0' comment'帐号状态（0使用，1停用）',
`del_flag` char(1) default'0' comment'删除状态（0存在，1删除）',
`login_ip` varchar(128) default'' comment'最后登陆IP',
`login_date` datetime comment'最后登陆时间',
`create_by` varchar(64) default'' comment'创建者',
`create_time` datetime comment'创建时间',
`update_by` varchar(64) default'' comment'更新者',
`update_time` datetime comment'更新时间',
`remark` varchar(500) default null comment'备注',
primary key(user_id)
)engine=InnoDB auto_increment=1 comment='用户信息表';

#删除并重新创建表sys_dept
drop table if exists `sys_dept`;
create table `sys_dept`(
`dept_id` bigint(20) not null auto_increment comment'部门id',
`parent_id` bigint(20) default 0 comment'父部门id',
`ancestors` varchar(50) default'' comment'祖级列表',
`dept_name` varchar(30) default'' comment'部门名称',
`order_num` int(4) default 0 comment'显示顺序',
`leader` varchar(20) default null comment'部门负责人',
`phone` varchar(11) default null comment'联系电话',
`email` varchar(50) default null comment'邮箱',
`status` char(1) default '0' comment'部门状态（0使用，1停用）',
`del_flag` char(1) default '0' comment'删除标志（0存在，1删除）',
`create_by` varchar(64) default'' comment'创建者',
`create_time` datetime comment'创建时间',
`update_by` varchar(64) default '' comment '最近更新者',
`update_time` datetime comment'最近更新时间',
primary key(dept_id)
)engine=InnoDB auto_increment=1 comment='部门表';

# 删除并重新角色信息表sys_role
drop table if exists `sys_role`;
create table `sys_role`(
`role_id` bigint(20) not null auto_increment comment'角色ID',
`role_name` varchar(30) not null comment'角色名称',
`role_key` varchar(100) not null comment'角色权限字符串',
`order_num` int(4) not null comment'显示顺序',
`data_scope` char(1) default'1' comment'数据范围：（1：全部数据权限。2：自定义数据权限。3：本部门数据权限。4：本部门及以下数据权限。）',
`menu_check_strictly` tinyint(1) default 1 comment'菜单树选择项是否关联显示',
`dept_check_strictly` tinyint(1) default 1 comment'部门树选择项是否关联显示',
`status` char(1) not null comment'角色状态（0正常，1停用）',
`del_flag` char(1) default'0' comment'删除标志（0存在，1删除）',
`create_by` varchar(64) default'' comment'创建者',
`create_time` datetime comment'创建时间',
`update_by` varchar(64) default'' comment'最近更新者',
`update_time` datetime comment'最近更新时间',
`remark` varchar(500) default null comment'备注',
primary key(role_id)
)engine=InnoDB auto_increment=1 comment='角色信息表';

# 删除并重建用户角色关联表sys_user_role
drop table if exists `sys_user_role`;
create table `sys_user_role`(
`user_id` bigint(20) not null comment '用户ID',
`role_id` bigint(20) not null comment '角色ID',
primary key(user_id,role_id)
)engine=InnoDB comment='用户角色关联表';